package org.diagbot.nlp.relation.module;

import org.diagbot.nlp.relation.module.cell.*;

import java.util.List;

/**
 * @ClassName org.diagbot.nlp.relation.extract.cell.Symptom
 * @Description TODO
 * @Author fyeman
 * @Date 2019/1/18/018 15:04
 * @Version 1.0
 **/
public class Symptom {
    private String symptomName;
    private Negative negative;

    private BodyPart bodyPart;
    private Degree degree;
    private Cause cause;
    private Property property;
    private List<PD> pds;
    private List<PD> timestamp;

    public String getSymptomName() {
        return symptomName;
    }

    public void setSymptomName(String symptomName) {
        this.symptomName = symptomName;
    }

    public Negative getNegative() {
        return negative;
    }

    public void setNegative(Negative negative) {
        this.negative = negative;
    }

    public BodyPart getBodyPart() {
        return bodyPart;
    }

    public void setBodyPart(BodyPart bodyPart) {
        this.bodyPart = bodyPart;
    }

    public Degree getDegree() {
        return degree;
    }

    public void setDegree(Degree degree) {
        this.degree = degree;
    }

    public Cause getCause() {
        return cause;
    }

    public void setCause(Cause cause) {
        this.cause = cause;
    }

    public Property getProperty() {
        return property;
    }

    public void setProperty(Property property) {
        this.property = property;
    }

    public List<PD> getPds() {
        return pds;
    }

    public void setPds(List<PD> pds) {
        this.pds = pds;
    }

    public List<PD> getTimestamp() { return timestamp; }

    public void setTimestamp(List<PD> timestamp) { this.timestamp = timestamp; }

}
